<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import AppWFStepTraceViewBase from './app-wfstep-trace-view-base.vue';

// 基于 @VIEW/应用流程跟踪视图/VIEW.vue.ftl 生成

@Component({
    components: {
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class AppWFStepTraceView extends AppWFStepTraceViewBase {

}
</script>